Cambrionix connect
Developers
Cloud API reference · v1.0

Hardware API

The Hardware API enables the Cambrionix Connect application to manage Organization Hubs and Devices.

Base URL

https://connect.cambrionix.com/api

Token audience

b2d57903-6cc0-4099-aeaa-926d441a4128

OpenAPI document

https://connect.cambrionix.com/api/hardware/v1/openapi.json

Get an access token

Request a token for this API's audience with your service account's client credentials, then send it as Authorization: Bearer <token>.

curl -X POST "https://connect.cambrionix.com/api/v1/organizations/$CONNECT_ORGANIZATION_ID/oauth2/token" \
  -H "Content-Type: application/json" \
  -d '{"grant_type": "client_credentials", "client_id": "'"$CONNECT_CLIENT_ID"'", "client_secret": "'"$CONNECT_CLIENT_SECRET"'", "audience": "b2d57903-6cc0-4099-aeaa-926d441a4128", "scope": "*"}'

Endpoints

Hub Products

Add, remove and list Hubs in a given organization.

GET

List Hub Products

GET

Get Hub Product

Hubs

Add, remove and list Hubs in a given organization.

GET

Get Computer Hubs

POST

Create a new hub

GET

Get Hubs with Firmware Updates Available

GET

List Hubs

GET

Get a Hub

PATCH

Patch a Hub

DELETE

Delete a Hub

GET

Get Hub Unlock Status